Vulnerability CVE-2018-9081


Published: 2018-09-28

Description:
For some Iomega, Lenovo, LenovoEMC NAS devices versions 4.1.402.34662 and earlier, the file name used for assets accessible through the Content Viewer application are vulnerable to self cross-site scripting self-XSS. As a result, adversaries can add files to shares accessible from the Content Viewer with a cross site scripting payload in its name, and wait for a user to try and rename the file for their payload to trigger.

Type:

CWE-79

(Improper Neutralization of Input During Web Page Generation ('Cross-site Scripting'))

CVSS2 => (AV:N/AC:H/Au:N/C:N/I:P/A:N)

CVSS Base Score
Impact Subscore
Exploitability Subscore
2.6/10
2.9/10
4.9/10
Exploit range
Attack complexity
Authentication
Remote
High
No required
Confidentiality impact
Integrity impact
Availability impact
None
Partial
None
Affected software
Lenovo -> Ez media & backup center firmware 
Lenovo -> Storcenter px2-300d firmware 
Lenovo -> Ix2 firmware 
Lenovo -> Storcenter px4-300d firmware 
Lenovo -> Ix4-300d firmware 
Lenovo -> Storcenter px4-300r firmware 
Lenovo -> Px12-400r firmware 
Lenovo -> Storcenter px6-300d firmware 
Lenovo -> Px12-450r firmware 
Lenovo -> Px2-300d firmware 
Lenovo -> Px4-300d firmware 
Lenovo -> Px4-300r firmware 
Lenovo -> Px4-400d firmware 
Lenovo -> Px4-400r firmware 
Lenovo -> Px6-300d firmware 
Lenovo -> Storcenter ix2-dl firmware 
Lenovo -> Storcenter ix2 firmware 
Lenovo -> Storcenter ix4-300d firmware 
Lenovo -> Storcenter px12-400r firmware 
Lenovo -> Storcenter px12-450r firmware 

 References:
https://support.lenovo.com/us/en/solutions/LEN-24224

Copyright 2020, cxsecurity.com

 

Back to Top